package org.mynonglam.entitys;

import java.io.Serializable;
import javax.persistence.*;
import java.util.List;


/**
 * The persistent class for the album database table.
 * 
 */
@Entity
public class Album implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String idalbum;

	private String datecreate;

	private String description;

	private String name;

	//bi-directional many-to-one association to ShareType
	@ManyToOne
	@JoinColumn(name="idshare")
	private ShareType sharetype;

	//bi-directional many-to-one association to Account
	@ManyToOne
	@JoinColumn(name="email")
	private Account account;

	//bi-directional many-to-one association to LinkPhoto
	@OneToMany(mappedBy="album")
	private List<LinkPhoto> linkphotos;

	public Album() {
	}

	public String getIdalbum() {
		return this.idalbum;
	}

	public void setIdalbum(String idalbum) {
		this.idalbum = idalbum;
	}

	public String getDatecreate() {
		return this.datecreate;
	}

	public void setDatecreate(String datecreate) {
		this.datecreate = datecreate;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public ShareType getSharetype() {
		return this.sharetype;
	}

	public void setSharetype(ShareType sharetype) {
		this.sharetype = sharetype;
	}

	public Account getAccount() {
		return this.account;
	}

	public void setAccount(Account account) {
		this.account = account;
	}

	public List<LinkPhoto> getLinkphotos() {
		return this.linkphotos;
	}

	public void setLinkphotos(List<LinkPhoto> linkphotos) {
		this.linkphotos = linkphotos;
	}

}